> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heaven.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote Initial Buy

> Estimate the cost of purchasing a percentage of the initial token supply when creating a new standard pool.

Useful for calculating how much SOL is needed for the initial dev buy during pool creation.



## OpenAPI

````yaml /openapi.json post /quote/initial-buy
openapi: 3.1.0
info:
  title: heaven-tx-api
  description: ''
  license:
    name: ''
  version: 0.1.14
servers:
  - url: https://tx.api.heaven.xyz
security: []
tags:
  - name: heaven-api
    description: Heaven API
paths:
  /quote/initial-buy:
    post:
      tags:
        - Standard Pool API
      summary: Quote Initial Buy
      description: >-
        Estimate the cost of purchasing a percentage of the initial token supply
        when creating a new standard pool.


        Useful for calculating how much SOL is needed for the initial dev buy
        during pool creation.
      operationId: quote_initial_buy
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteInitialBuyRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteInitialBuyResponse'
components:
  schemas:
    QuoteInitialBuyRequest:
      type: object
      required:
        - config_version
        - program_id
        - initial_purchase_percent
      properties:
        config_version:
          type: integer
          description: Protocol config version
          default: 1
          minimum: 0
        initial_purchase_percent:
          type: number
          description: >-
            Percentage of the initial token A amount to purchase (e.g., 1 for
            1%)
          default: 1
          example: 1
        program_id:
          type: string
          description: Program ID of the Heaven DEX program
          default: HEAVENoP2qxoeuF8Dj2oT1GHEnu49U5mJYkdeC8BAX2o
          example: HEAVENoP2qxoeuF8Dj2oT1GHEnu49U5mJYkdeC8BAX2o
        slippage_pct:
          type:
            - number
            - 'null'
          description: Slippage percentage (e.g., 0.005 for 0.5%)
          default: 0.005
          example: 0.005
    QuoteInitialBuyResponse:
      type: object
      required:
        - cost_sol
        - cost_usd
        - cost_lamports
        - initial_purchase_amount
        - initial_purchase_amount_ui
      properties:
        cost_lamports:
          type: integer
          description: Cost of the initial purchase in lamports
          minimum: 0
        cost_sol:
          type: number
          description: Cost of the initial purchase in SOL
        cost_usd:
          type: number
          description: Cost of the initial purchase in USD
        initial_purchase_amount:
          type: integer
          description: Amount of tokens to purchase in the initial buy
          minimum: 0
        initial_purchase_amount_ui:
          type: number
          description: Amount of tokens to purchase in the initial buy in UI format

````